POST /inbox/conversations/{id}/messages/{messageId}/reactions

Add the account's emoji reaction to a message, where supported (WhatsApp: send a reaction message instead). Queued for approval (202) while approval applies

POST
/inbox/conversations/{id}/messages/{messageId}/reactions

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Conversation id

messageId*string

Message id (Postgale or platform id)

Request Body

application/json
  1. body
emoji*string

Response Body

{message}

application/json
  1. response
message?
Example Request
curl -X POST 'https://example.com/api/v1/inbox/conversations/string/messages/string/reactions' \  -H 'Content-Type: application/json' \  -d '{  "emoji": "string"}'
Example Response
{  "message": {    "id": "string",    "conversationId": "string",    "platformMessageId": "string",    "direction": "inbound",    "type": "text",    "text": "string",    "attachments": [      {        "type": "string",        "url": "string"      }    ],    "postback": {      "title": "string",      "payload": "string"    },    "reactions": [      {        "emoji": "string",        "by": "participant"      }    ],    "replyToMid": "string",    "isEcho": true,    "isDeleted": true,    "status": "received",    "tag": "HUMAN_AGENT",    "sentAt": "2019-08-24T14:15:22Z",    "deliveredAt": "2019-08-24T14:15:22Z",    "readAt": "2019-08-24T14:15:22Z",    "source": "webhook",    "content": null,    "pricing": null,    "error": "string",    "failedAt": "2019-08-24T14:15:22Z"  }}